<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$objetocalculo = new calculos(); //calcula todos valores finais
$sessao = new sessao();
$composto=$sessao->getVar('controle');
list($mesNumero, $anoAmostra, $nomeFuncao, $nomeCategoria, $tipoRelatorio) = explode("*", $composto);
$legendaNatureza=$nomeFuncao.'/'.$nomeCategoria;
$mes=$objetocalculo->mesExtenso($mesNumero);
$legendaPeriodo='Período:'.$mes.'/'.$anoAmostra;
$finalidade=$sessao->getVar('finalidade');
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$finalidade=$sessao->getVar('finalidade');
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("ooooooodentro do imprimedeas2014amostralong= $amostraLong<br>");
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf

			 //ENTRA DE QUAKQUER MANEIRA
	$generica=new tabelagenerica();
	 ############################//aqui joga os dados no relatorio############################
  
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="documentos,ficha,documentosponte";
		$generica->campos_valores = array(
				"fic_amostra" => NULL,
				"doc_numero" => NULL,
				"doc_data" => NULL,
				"fic_id" => NULL,
			);
			
		$generica->extras_select =" where    doc_labo=".$idLabo." &&  fic_funcao='".$nomeFuncao."' &&  fic_categoria='".$nomeCategoria."' and doc_tipo='Boletim' and dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoAmostra."'  and MONTH(doc_data)='".$mesNumero."' order by fic_amostra";
		
		//echo("rrrrrrgenerica=$generica->extras_select<br>");
		$registros=0;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
		    $amostraLong=$resgenerica->fic_id;
		    $vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
		    $registros++;
			$vetorCorpo[$registros][1]=$registros.'ª';
			$vetorCorpo[$registros][2]=$resgenerica->fic_amostra;
			$vetorCorpo[$registros][3]=$resgenerica->doc_numero;
			$vetorCorpo[$registros][4]=date("d/m/Y",strtotime($resgenerica->doc_data));
			$vetorCorpo[$registros][5]=substr($vetorRaioX[43],0,15)." ctv=" .substr($vetorRaioX[42],0,15)." t=" .substr($vetorRaioX[46],0,15);//esepecie/cultivar
			$vetorCorpo[$registros][6]=$vetorRaioX[14];//germincao
			$vetorCorpo[$registros][7]=$vetorRaioX[15];//pureza
			$binario=$vetorRaioX[246];
			$vetorCorpo[$registros][8]=substr($binario,0,3);//triplo para germinacao
			$vetorCorpo[$registros][9]=substr($binario,3,1);//so para pureza
			$vetorCorpo[$registros][10]=substr($binario,4,1);//so para pureza
			$vetorCorpo[$registros][11]=substr($binario,5,1);//so para pureza
			$vetorCorpo[$registros][12]=substr($binario,6,1);//so para pureza
			$vetorCorpo[$registros][13]=substr($binario,7,1);//so para pureza
			$vetorCorpo[$registros][14]=substr($binario,8,1);//so para pureza
            $reprovada="Não";
			if(substr($binario,0,1)=='1')$reprovada="Sim";//reprovada ger
			if(substr($binario,3,1)=='1')$reprovada="Sim";//reprovada pur
			if(substr($binario,4,1)=='1')$reprovada="Sim";//reprovada oc
			if(substr($binario,5,1)=='1')$reprovada="Sim";//reprovada oe
			if(substr($binario,6,1)=='1')$reprovada="Sim";//reprovada ss
			if(substr($binario,7,1)=='1')$reprovada="Sim";//reprovada nt
			if(substr($binario,8,1)=='1')$reprovada="Sim";//reprovada np
			$vetorCorpo[$registros][15]=$reprovada;//reprovada
	    endwhile;

//aqui vai imprimir######################################################################
//aqui vai imprimir######################################################################
//aqui vai imprimir######################################################################
//aqui vai imprimir######################################################################
//aqui vai imprimir######################################################################
 $contaLinhas=0;
 for($linha=1;$linha<=$registros;$linha++):
  if($contaLinhas>=40):
         $contaLinhas=0;
  endif;
  if($contaLinhas==0):     
   //aqui coloca todo cabecalho############################################################
/////////////////parte puxada do antigo/////////////////////////////////////
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Arial','',7);
			 
			//cabecalho
            $larg1=15;
            $larg2=15;
            $larg3=30;
            $larg4=55;
            $larg5=55;
 	        $inicio=1;
			$final=3;

	 $maximoLAdobe=297;
	 $maximoHAdobe=210;
     $margemEsquerda=10;
	 $margemDireita=$maximoLAdobe-7;
	 //largura de uma margem a outra = 281  se eu imprimo algo esta soma nao pode ultrapassar este valor
	 $larguraUtil=$maximoLAdobe-17;
	 $cinza=220;
	 $pdf->SetFillColor($cinza,$cinza,$cinza);
	 $grosso=0.7;
	 $medio=0.4;
	 $fino=0.3;
	 $extraFino=0.2;
	 //ESTAS COTAS SAO AS COTRAS DAS LINHAS HORINTAIS GROSSAS QUE SERVEM DE ORIGEM PARA O QUE VEM A SEGUIR
	 $cota1=2;
     $cota1a=15;
	 $cota2=23;
	 $cota3=31;//cabecalho inicial amplo
	 $cota4=43;//final do cabecalho e inicio dos dados
	 $cota7=180; //assinatura
     $cota8=200;  //usara 195 se for colocar o rodape na munheca, mas pode usar a funcao footer que da mais 5 milimetros
	 $margem=25;
	 $larguraDaLinha=3.5;
     //moldura externa DO CABECALHO e do corpo
	 $pdf->SetLineWidth($grosso);
	 $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,13);//retangulo superior
	 $pdf->Rect($margemEsquerda,$cota2,$larguraUtil,177);//retangulo corpo
	 
 
     //LINHAS FINAL DO CABEÇALHO E AS 2 DIVISORIAS DO CABECALHO
	 $pdf->SetLineWidth($fino);
	 $larguraColuna1=90;
	 $larguraColuna2=120;
	 $larguraColuna3=70;
	 $posicaoColuna1=$margemEsquerda;
	 $posicaoColuna2=$posicaoColuna1+$larguraColuna1;
	 $posicaoColuna3=$posicaoColuna2+$larguraColuna2;
	 $pdf->Line($posicaoColuna2,$cota1,$posicaoColuna2,$cota1a);//primeira linha vertical
	 $pdf->Line($posicaoColuna3,$cota1,$posicaoColuna3,$cota1a);//segunda linha  vetical
     ####################################CABECALHO  esquerda################################################
     $cotaLocal=$cota1+1;
	 $pdf->SetFont('Arial','',7);
	 $pdf->setXY($margemEsquerda,$cotaLocal);
	 $pdf->Cell($larguraColuna1,4,'MINISTERIO DA AGRICULTURA E DO ABASTECIMENTO',0,0,'C');//lab nome
	 $pdf->Cell($larguraColuna2,4,utf8_decode($vetorCabecalho[0]),0,0,'C');//lab nome
	 $pdf->Cell($larguraColuna3,4,utf8_decode($legendaPeriodo),0,1,'C');//natureza
	 $pdf->setXY($margemEsquerda,$cotaLocal+4);//SEGUNDA LINHA
	 $pdf->Cell($larguraColuna1,4,'SECRETARIA DE DEFESA AGROPECUARIA',0,0,'C');//lab nome
	 $pdf->Cell($larguraColuna2,4,utf8_decode($vetorCabecalho[1]),0,0,'C');//lab nome
	 $pdf->Cell($larguraColuna3,4,'NATUREZA DA ANALISE:',0,1,'C');//natureza
	 $pdf->setXY($margemEsquerda,$cotaLocal+8);//TERCEIRA LINHA
	 $pdf->Cell($larguraColuna1,4,utf8_decode('COORDENAÇÃO DE LABORATÓRIO VEGETAL'),0,0,'C');//lab nome
	 $pdf->Cell($larguraColuna2,4,utf8_decode($vetorCabecalho[2]),0,0,'C');//lab nome
	 $pdf->Cell($larguraColuna3,4,utf8_decode($legendaNatureza),0,1,'C');//VALOR DA NATUREZA
	 	 
	 //########################imprime identificacao#####################################
	 $cotaLocal=$cota1a+1;
	 $pdf->setXY($margemEsquerda,$cotaLocal);
	 $pdf->Cell($larguraUtil,5,utf8_decode('Lista de amostras tabuladas'),1,1,'C',1);
     #############mega colunas#####################################
     //MEGACOLUNA sao as colunas que vam acima das colunas e que devem estar emparelhados com as colunas depois
	 $japones=12;
     for($k=1;$k<=15;$k++):
	     $largura[$k]=$japones;
	 endfor;
	 //$largura[1]=20;
	 //$largura[2]=20;
	 //$largura[3]=20;
	 //$largura[4]=20;
	 $largura[5]=105;//especie
	 $largura[15]=17;//REPROVADA


      ###############cabeçalhop das colunas propriemente ditas##############
	 $cotaLocal=$cota2;
	 $pdf->setXY($margemEsquerda,$cotaLocal);
	 $pdf->Cell($largura[1],8,'Ordem',1,0,'C');
	 $pdf->Cell($largura[2],8,'Amostra',1,0,'C');
	 $pdf->Cell($largura[3],8,'Boletim',1,0,'C');
	 $pdf->Cell($largura[4],8,utf8_decode('Data boletim'),1,0,'C');
	 $pdf->Cell($largura[5],8,utf8_decode('Especie'),1,0,'C');
	 $pdf->Cell($largura[6],8,utf8_decode('Germ'),1,0,'C');
	 $pdf->Cell($largura[7],8,utf8_decode('Pur'),1,0,'C');
	 $pdf->Cell($largura[8],8,utf8_decode('Aval.G'),1,0,'C');//avalizacao germinacao
	 $pdf->Cell($largura[9],8,utf8_decode('Aval.P'),1,0,'C');//avalizacao pur
	 $pdf->Cell($largura[10],8,utf8_decode('Aval.OC'),1,0,'C');//avalizacao pur
	 $pdf->Cell($largura[11],8,utf8_decode('Aval.OE'),1,0,'C');//avalizacao pur
	 $pdf->Cell($largura[12],8,utf8_decode('Aval.SS'),1,0,'C');//avalizacao pur
	 $pdf->Cell($largura[13],8,utf8_decode('Aval.NT'),1,0,'C');//avalizacao pur
	 $pdf->Cell($largura[14],8,utf8_decode('Aval.NP'),1,0,'C');//avalizacao pur
	 $pdf->Cell($largura[15],8,utf8_decode('Reprovada'),1,0,'C');//avalizacao pur
	 $cota2=$cotaLocal+4;
	 
 endif;


     //final do cabecalho####################################################################
     $contaLinhas++;
	 $cotaCalculada=$cota2+$contaLinhas*4;
	 $pdf->setXY($margemEsquerda,$cotaCalculada);
     for($j=1;$j<=15;$j++)
	 {
	 $pdf->Cell($largura[$j],4,utf8_decode($vetorCorpo[$linha][$j]),1,0,'C');
	 }
  endfor;//varre todos registros encontrados




			
	 


     $cota3a=$cota3+4;

	

	 //$cotaCalculada=$cota2;
	 //$cota2+=4;

	 //$pdf->setXY($margemEsquerda,170);
  
     //$pdf->Cell(270,4,$generica->extras_select,1,0,'C');
	
			
			
			
			
			
			
			 
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
